.root {
    width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    padding-top: rem(70);
    display: flex;
    flex-direction: column;

    @include media-breakpoint-up(xl) {
        padding-top: rem(100);
    }
}

.main {
    flex-grow: 1;
    padding-top: rem(20);
    padding-bottom: rem(40);

    @include media-breakpoint-up(md) {
        padding-top: rem(30);
        padding-bottom: rem(70);
    }
}

.swiper {
    width: 100%;
    height: 100%;
}

.block {
    margin-bottom: rem(40);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(50);
    }
}

.heading {
    margin-bottom: rem(20);

    &__title {
        margin: 0;
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(30);
        letter-spacing: -0.01em;

        &--xl {
            font-size: rem(34);
            line-height: rem(45);
        }
    }

    &__nav {
        display: none;
    }

    &__content {
        display: flex;
        align-items: flex-start;
        justify-content: space-between;
    }

    &__view {
        margin: 0;
        padding: 0;
        border: none;
        outline: none;
        width: rem(40);
        height: rem(40);
        stroke: $dark;
        color: $dark;
        font-weight: 500;
        line-height: 110%;
        font-size: rem(16);
        white-space: nowrap;
        text-decoration: none;
        background: #EDF1F5;
        border-radius: 50%;
        box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
        align-items: center;
        display: inline-flex;
        justify-content: center;
        flex-shrink: 0;
        transition: .3s;

        span {
            display: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(24);
            display: inline-block;
            flex-shrink: 0;
            transform: rotate(-45deg);
        }

        &:hover {
            color: $white;
            stroke: $white;
            background: $blue;
         //   box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.20);
            transition: .3s;
        }

        &:active {
            box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
            transition: .3s;
        }

        &--gray {
            background: #EDF1F5;
        }
    }

    @include media-breakpoint-up(md) {
        font-size: rem(32);
        line-height: rem(36);
        margin-bottom: rem(30);

        &__content {
            align-items: center;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: rem(40);
        display: flex;
        align-items: center;
        justify-content: space-between;

        &__title {
            margin: 0 rem(20) 0 0;
            font-size: rem(40);
            line-height: rem(50);

            &--xl {
                font-size: rem(50);
                line-height: rem(60);
            }
        }

        &__nav {
            display: flex;
            align-items: center;

            .btn-nav {
                margin-left: rem(10);
            }
        }

        &__view {
            width: auto;
            font-weight: 500;
            background: #F4F5F6;
            padding: rem(4) rem(16) rem(4) rem(22);
            box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);
            border-radius: 12px;

            span {
                top: 1px;
                position: relative;
                display: inline-block;
            }

            i {
                margin-left: rem(8);
            }
        }
    }
}

.view-bar {
    margin-top: rem(20);

    @include media-breakpoint-up(md) {
        margin-top: rem(24);
    }
}

.grid-2 {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
    }
}

.grid-3 {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(sm) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
        grid-template-columns: 1fr 1fr 1fr;
    }
}

[data-speakers] {
    overflow: visible;

    .swiper-slide {
        width: rem(234);
    }

    @include media-breakpoint-up(xl) {

        .swiper-slide {
            width: rem(322);
        }
    }
}

[data-events] {
    overflow: visible;

    .swiper-slide {
        width: rem(288);
    }

    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: rem(475);
        }
    }
}

[data-sorter] {
    overflow: visible;
}

.manifest {
    padding: rem(15) rem(10) rem(15) rem(15);
    overflow: hidden;
    font-size: rem(16);
    line-height: rem(23);
    border-radius: 10px;
    background: #F4F5F6 url("../img/manifest__bg_sm.png") 100% 50% no-repeat;
    background-size: auto 100%;

    &--white {
        background-color: $white;
    }

    &__header {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(35);
        margin-bottom: rem(10);
    }

    &__text {
        margin-bottom: rem(15);
    }

    @include media-breakpoint-up(md) {
        padding: rem(30);

        &__text {
            width: rem(500);
        }
    }

    @include media-breakpoint-up(lg) {
        min-height: rem(276);
        background-image: url("../img/manifest__bg_md.png");
        background-size: auto;
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(24);
        line-height: rem(35);

        &__header {
            font-size: rem(34);
            line-height: rem(45);
            margin-bottom: rem(15);
        }

        &__text {
            width: rem(780);
            margin-bottom: rem(20);
        }
    }
}

.conf {
    margin-bottom: rem(15);

    &__media {
        height: rem(250);
        overflow: hidden;
        position: relative;
        border-radius: 20px;
        margin-bottom: rem(15);
        box-shadow: 0px 4px 27px rgba(0, 0, 0, 0.05);

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: '';
            position: absolute;
            background: linear-gradient(0deg, rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
        }
    }

    &__content {
        overflow: hidden;
        padding: rem(20);
        font-size: rem(16);
        line-height: rem(23);
        background: #F4F5F6;
        border-radius: 20px;
    }

    &__header {
        font-weight: 700;
        font-size: rem(24);
        line-height: rem(34);
        margin-bottom: rem(15);
    }

    &__info {
        margin-top: rem(30);
    }

    &__lead {
        font-weight: 700;
        font-size: rem(16);
        line-height: rem(22);
        letter-spacing: -0.01em;
        margin-bottom: rem(15);
    }

    &__button {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        position: relative;
    }

    &__hand {
        left: calc(100% + 22px);
        top: -10px;
        width: 114px;
        height: 148px;
        position: absolute;
        transform: rotate(-32.98deg);
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(30);

        &__media {
            height: rem(350);
            margin-bottom: rem(30);
        }

        &__header {
            font-size: rem(36);
            line-height: rem(48);
        }

        &__content {
            padding: rem(30);
        }

        &__info {
            display: flex;
            align-items: center;
        }

        &__lead {
            margin: 0 rem(30) 0 0;
        }

        &__hand {
            left: calc(100% + 18px);
            top: 0;
            transform: rotate(-24deg);
        }
    }

    @include media-breakpoint-up(lg) {
        display: flex;

        &__media {
            width: rem(400);
            height: auto;
            margin-bottom: 0;
            flex-shrink: 0;
        }

        &__content {
            flex-grow: 1;
            margin-left: rem(24);
        }
    }

    @include media-breakpoint-up(xl) {

        &__media {
            width: rem(496);
        }

        &__header {
            font-size: rem(50);
            line-height: rem(65);
        }

        &__content {
            font-size: rem(20);
            line-height: rem(29);
        }

        &__lead {
            font-size: rem(20);
            line-height: rem(29);
        }

        &__hand {
            left: calc(100% + 28px);
            top: -30px;
            transform: rotate(-56.97deg);
        }
    }
}

.primary {
    color: $white;
    position: relative;
    padding-top: rem(100);
    padding-bottom: rem(48);
    background: url("../img/primary__bg.jpg") 50% 50% no-repeat;
    background-size: cover;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: linear-gradient(90deg, #000000 0%, rgba(0, 0, 0, 0.61) 51.88%, rgba(0, 0, 0, 0) 100%);
        backdrop-filter: blur(5px);

    }

    &__wrap {
        z-index: 20;
        position: relative;
    }

    &__header {
        font-weight: 700;
        font-size: rem(70);
        line-height: rem(80);
        margin-bottom: rem(15);
        text-align: center;
    }

    &__text {
        font-weight: 500;
        font-size: rem(20);
        line-height: rem(28);
        text-align: center;
        margin-bottom: rem(25);
    }

    &__features {
        display: grid;
        grid-row-gap: rem(15);
        grid-column-gap: rem(15);
        grid-template-columns: 1fr 1fr;
    }

    &__item {
        font-size: rem(16);
        line-height: rem(23);
        text-align: center;
        border-radius: 15px;
        padding: rem(14) rem(8);
        background: rgba(255, 255, 255, 0.15);
        backdrop-filter: blur(14px);
    }

    &__value {
        font-weight: 700;
        font-size: rem(30);
        line-height: rem(35);
        margin-bottom: rem(10);
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(140);
        padding-bottom: rem(64);

        &__header {
            text-align: left;

            br {
                display: none;
            }
        }

        &__header {
            font-size: rem(80);
            line-height: rem(90);
        }

        &__text {
            text-align: left;
            font-size: rem(32);
            line-height: rem(38);
            margin-bottom: rem(64);
        }

        &__features {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(850);
        padding-top: rem(170);
        padding-bottom: rem(90);

        &__header {
            font-size: rem(150);
            line-height: rem(180);
        }

        &__text {
            font-size: rem(40);
            line-height: rem(46);
            margin-bottom: rem(148);
        }

        &__item {
            font-size: rem(22);
            line-height: rem(32);
            padding: rem(15) rem(8);
        }

        &__value {
            font-size: rem(70);
            line-height: rem(84);
        }
    }
}

.section {
    padding: rem(40) 0;

    @include media-breakpoint-up(xl) {
        padding: rem(60) 0;
    }
}

.section-gray {
    background: #F4F5F6;
}

.event-group {
    display: grid;
    grid-row-gap: rem(20);
    grid-column-gap: rem(20);
    grid-template-columns: 1fr;

    @include media-breakpoint-up(md) {
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {
        grid-row-gap: rem(24);
        grid-column-gap: rem(24);
    }
}

.event-card {
    height: rem(322);
    overflow: hidden;
    position: relative;
    border-radius: 12px;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 5;
        content: '';
        position: absolute;
        background: rgba(0,0,0,0.5);
    }

    &__image {
        z-index: 1;
        height: 100%;
        display: block;
        position: relative;
    }

    &__content {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        padding: rem(20);
        text-align: center;
        position: absolute;
        display: flex;
        flex-direction: column;
    }

    &__wrap {
        margin: auto 0;
    }

    &__title {
        color: $white;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(26);
        margin-top: rem(15);
        margin-bottom: rem(22);
    }

    .btn {
        min-width: rem(180);
    }
}

.sorter {
    margin-bottom: rem(30);

    &__button {
        width: 100%;
        border: none;
        outline: none;
        height: rem(40);
        cursor: pointer;
        border-radius: 8px;
        padding: rem(8) rem(18);
        white-space: nowrap;
        text-align: left;
        display: flex;
        align-items: center;
        background: $white;

        span {
            top: 2px;
            position: relative;
        }

        &.active {
            color: $white;
            background: linear-gradient(97.57deg, #358CFF 0%, #006DFF 100%);
        }
    }


    .swiper-slide {
        width: auto;
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(10);
        margin-bottom: rem(20);

        .swiper-wrapper {
            margin: 0 rem(-5);
            flex-wrap: wrap;
        }

        .swiper-slide {
            margin: 0 rem(5) rem(10) rem(5);
        }
    }
}

.archive {
    padding: rem(20);
    overflow: hidden;
    text-align: center;
    background: #F4F5F6;
    border-radius: 10px;

    &__header {
        font-weight: 600;
        font-size: rem(20);
        line-height: rem(29);
        margin-bottom: rem(10);
    }

    &__text {
        font-size: rem(16);
        line-height: rem(23);
        margin-bottom: rem(15);
    }

    &__media {
        width: rem(220);
        margin: 0 auto rem(15) auto;
    }

    &__item {
        display: block;
        overflow: hidden;
        border-radius: 5px;
    }

    &__button {

        .btn {
            min-width: rem(232);
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(30) rem(40);

        &__header {
            font-size: rem(34);
            line-height: rem(45);
            margin-bottom: rem(20);
        }

        &__text {
            font-size: rem(24);
            line-height: rem(35);
            margin-bottom: rem(20);
        }

        &__media {
            margin-bottom: rem(20);
        }
    }

    @include media-breakpoint-up(xl) {
        min-height: rem(336);
        text-align: left;
        padding: rem(58) rem(65);
        background-image: url("../img/archive__bg.png");
        background-position: 100% 50%;
        background-repeat: no-repeat;
        background-size: auto 100%;

        &__media {
            display: none;
        }

        &__text {
            max-width: rem(750);
        }
    }
}

[data-archive-media] {
    overflow: visible;

    .swiper-wrapper {
        transition-timing-function : linear;
    }
}

.margin-box {
    margin-bottom: rem(20);

    @include media-breakpoint-up(md) {
        margin-bottom: rem(24);
    }
}

.contact-block {
    position: relative;

    &__main {
        margin-bottom: rem(20);
    }

    &__header {
        font-weight: 700;
        line-height: 120%;
        font-size: rem(32);
        margin-bottom: rem(20);
    }

    &__lead {
        font-weight: 600;
        line-height: 140%;
        font-size: rem(20);
        margin-bottom: rem(25);
    }

    &__text {
        line-height: 140%;
        font-size: rem(20);

        strong {
            font-weight: 600;
        }

        p {
            margin-bottom: rem(15);

            &:last-child {
                margin-bottom: 0;
            }
        }
    }

    &__button {
        left: 0;
        right: 0;
        z-index: 50;
        bottom: rem(26);
        position: absolute;
        text-align: center;

        .btn {
            min-width: rem(280);
        }
    }

    &__map {
        height: rem(450);
        overflow: hidden;
        background: #F4F5F6;
        border-radius: 10px;
    }

    &__text {
        max-width: rem(450);
    }

    @include media-breakpoint-up(lg) {
        display: flex;
        padding: rem(20);
        background: #F4F5F6;
        border-radius: 14px;

        &__main {
            flex-grow: 1;
            margin-bottom: 0;
            padding: rem(10) rem(30) rem(10) rem(10);
            display: flex;
            flex-direction: column;
        }

        &__text {
            flex-grow: 1;
        }

        &__button {
            left: auto;
            right: auto;
            bottom: auto;
            text-align: left;
            position: relative;
        }

        &__map {
            height: auto;
            min-height: rem(338);
            width: rem(440);
            flex-shrink: 0;
        }
    }

    @include media-breakpoint-up(xl) {

        &__lead {
            font-size: rem(24);
            line-height: rem(45);
            margin-bottom: rem(15);
        }

        &__button {

            .btn {
                min-width: rem(320);
            }
        }

        &__map {
            width: rem(620);
        }
    }
}

#map {
    height: 100%;
}

.box {
    line-height: 145%;
    font-size: rem(16);
    background: #F4F5F6;
    border-radius: 10px;
    padding: rem(30) rem(20);
    display: flex;
    flex-direction: column;

    &--info {
        min-height: rem(362);
    }

    &__body {
        flex-grow: 1;
    }

    &__header {
        font-weight: 600;
        font-size: rem(24);
        line-height: rem(28);
        margin-bottom: rem(17);
    }

    &__footer {
        margin-top: rem(26);
    }

    &__link {
        color: $blue;
        font-weight: 500;
        line-height: 145%;
        font-size: rem(18);
        text-decoration: underline;

        &:hover {
            color: $blue;
            text-decoration: none;
        }
    }
}

.spot {
    color: $dark;
    overflow: hidden;
    line-height: 150%;
    font-size: rem(14);
    background: #F4F5F6;
    border-radius: 10px;

    &__image {
        display: block;
    }

    &__content {
        padding: rem(15);
    }

    &__rating {
        font-size: 0;
        line-height: 0;
        margin-bottom: rem(6);
    }

    &__title {
        color: $dark;
        font-weight: 600;
        line-height: 110%;
        font-size: rem(14);
        text-decoration: none;
        margin-bottom: rem(10);
        text-transform: uppercase;

        &:hover {
            color: $dark;
            text-decoration: none;
        }
    }

    &__text {
        font-weight: 500;
    }

    &__distance {
        color: #696969;
        line-height: 110%;
        font-size: rem(14);
        margin-top: rem(5);
        letter-spacing: -0.01em;
    }
}

.fixed-height {
    height: 100%;
    overflow: hidden;
}


@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

